Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 619626 - sys-apps/portage: emerge --autounmask-continue interaction with --binpkg-respect-use triggers unnecessary rebuild
Summary: sys-apps/portage: emerge --autounmask-continue interaction with --binpkg-resp...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: .tbz2 support (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: autounmask 627566
  Show dependency tree
 
Reported: 2017-05-24 23:56 UTC by Zac Medico
Modified: 2018-02-01 23:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2017-05-24 23:56:48 UTC
When using --autounmask-continue together with --binpkg-respect-use, it's possible for emerge to reject a binary package due to "non matching USE" and at the same time apply an autounmask change that would cause the rejected binary package to be acceptable. The result is that the package is rebuilt unnecessarily.
Comment 1 Zac Medico gentoo-dev 2017-05-25 00:07:28 UTC
It should be possible to search self._dynamic_config.ignored_binaries for binary packages that match the current set of autounmask changes, and trigger backtracking calculation in this case.